import { isValidElement } from "react";
//#region src/utils/isReactNodeWithChildren.tsx
function isReactNodeWithChildren(node) {
	return Boolean(node && isValidElement(node) && typeof node.props === "object" && node.props !== null && "children" in node.props && node.props.children !== void 0);
}
//#endregion
export { isReactNodeWithChildren };
